# Class IOFileUploadException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.tomcat.util.http.fileupload.FileUploadException
org.apache.tomcat.util.http.fileupload.impl.IOFileUploadException

All Implemented Interfaces:
  `Serializable`

public class IOFileUploadException extends FileUploadException
Thrown to indicate an IOException.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IOFileUploadException(String pMsg, IOException pException)`
Creates a new instance with the given cause.

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getCause()`
Returns the exceptions cause.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IOFileUploadException

public IOFileUploadException(String pMsg, IOException pException)
Creates a new instance with the given cause.

Parameters:
  `pMsg` - The detail message.
  `pException` - The exceptions cause.

## Method Details

### getCause

public Throwable getCause()
Returns the exceptions cause.

Overrides:
  `getCause` in class `Throwable`
Returns:
  The exceptions cause, if any, or null.